记录linux下composer使用的坑爹过程

作者 : OO资源中心 发布时间: 2020-05-10 文章热度:241 共984个字,阅读需3分钟。 本文内容有更新 字体:

记录linux下composer使用的坑爹过程插图

对于这个东西,之前使用的时候一直在Windows下,也没什么大问题,今天在我电脑虚拟机里搞了一个lnmp,想装一下yii2。

1.先把Composer self-update升级成最新的的。

2.安装Composer Asset Plugin,到github上找到方式composer global require "fxp/composer-asset-plugin:~1.3",搞了几次都是报

Problem 1
    - The requested package fxp/composer-asset-plugin ~1.3 is satisfiable by fxp/composer-asset-plugin[1.3.x-dev] but these conflict with your requirements or minimum-stability.

这个错误后来去网上找方法,大部分说在composer.json里添加"minimum-stability": "dev",但是不好使,反复试了好多方法,最后还是尝试在原来基础上改下载版本为1.2.2,就行了。网友的答案也不是万能的啊,github给的命令有点坑爹啊。

3.composer create-Project yiisoft/yii2-app-basic yii2 2.0.11

4.composer update

5.github生成的token:github头像->setting->Personal access tokens->Generate new token

6.下载中。。。之前用 composer config repo.packagist composer httPS://packagist.phpcomposer.com 命令将镜像全局下载地址改为国内的了,但是为毛还是慢的要死, composer config -l -g 查看的确是改了[repositories.packagist.org.url] https://packagist.phpcomposer.com。。。。

7.安装完成。

相关推荐: vscode+vue+红线报错的问题怎么解决

vscode+vue+红线报错的问题怎么解决? 具体报错如图: 相关教程推荐: 解决方法: 1,首先检查html片段没有语法错误的话,就是一个检查语法格式的插件"vetur"引起的。 2,解决方法是:vscode -> 首选项 -> 设置 ->…


关注微信公众号『OOINK』

第一时间了解最新资源动态关注OO.INK不迷路~

常见问题FAQ

免费下载或者VIP会员专享资源能否直接商用?
本站所有资源版权均属于原作者所有,这里所提供资源均只能用于参考学习用,请勿直接商用。若由于商用引起版权纠纷,一切责任均由使用者承担。更多说明请参考 VIP介绍。
下载资源需要解压密码,解压密码是什么?
如下载的资源需要解压密码,请查看下载页右侧查找解压密码;
如没有解压密码请尝试默认解压密码:www.oo.ink 或者 oo.ink
或者联系我们获取解压密码!
1、本站所有资源来源于用户上传和网络,如有侵权请邮件联系站长!
2、分享目的仅供大家学习和交流,请不要用于商业用途!
3、本站提供的源码、模板、插件等等其他资源,都不包含技术服务请大家谅解!
4、如有链接无法下载、失效或广告,请联系管理员处理!
5、本站资源售价只是赞助,收取费用仅维持本站的日常运营所需!

OO.INK资源网 » 记录linux下composer使用的坑爹过程
+已在风雨中度过
为兴趣而改变,为梦想而努力!
+已坚持更新
时时更新,确保最新~

开通SVIP,畅享全站资源下载~

立即了解